:userdoc.
:title.'Ayuda de Recursos del Sistema OS/2'
:body.

:h1 res=1.Introduccin
:i1.Introduccin
:artwork name='memsize.bmp' align=center.
:p.
Este programa muestra por pantalla diferentes informaciones sobre los 
recursos del sistema, y los actualiza una vez por segundo, si es que el 
procesador tiene tiempo para hacerlo. Las informaciones que se muestran 
son:
:p.
:hp2.Fecha/Hora:ehp2. - La fecha y hora actual, en el formado normal
de cada pas, dependiendo de como est configurada la lnia COUNTRY=
del fichero CONFIG.SYS
:p.
:hp2.Memoria Disponible:ehp2. - La cantidad de memoria libre del 
sistema, de acuerdo con el valor devuelto por la funcin 
:hp1.DosMemAvail:ehp1.. En el OS/2 1.x, esta funcin devuelve el tamao
del bloque libre de memoria ms grande, a pesar que hay quien dice que 
con la opcin MEMMOVE activa, el valor devuelto corresponde al total de
memnoria libre. En el OS/2 2.0, se indica el tamao de la memoria fsica 
no utilizada o bien 512 KB, dependiendo de cual sea el valor ms grande. 
Existe una nueva funcin en la API de 32-bit que informa de la memoria 
fsica instalada, cuanta est consumiendo el sistema y cuanta hay libre, 
pero como esta es una aplicacin de 16-bit, no se tiene acceso a esta 
funcin.
:p.
:hp2.Tamao del fichero de intercambio:ehp2. - El tamao que ocupa en el 
disco el fichero de memoria virtual de intercambio (swap), SWAPPER.DAT. 
Para localizar este fichero, busque en el fichero CONFIG.SYS la lnea 
que empieza con SWAPPATH, dnde est indicado el nombre completo 
(incluido el directorio) del fichero de intercambio, as como el espacio 
que se debe reservar en la unidad dnde se encuentra este fichero.
:p.
:hp2.Espacio disponible para el fichero de intercambio:ehp2. - La 
cantidad total de espacio en la unidad de disco dnde se encuentra el 
fichero de intercambio, menos la cantidad de espacio que debe 
reservarse. Este valor es el tamao mximo que puede utilizar el fichero 
de intercambio.
:p.
:hp2.Tamao del fichero del spooler:ehp2. - La cantidad total de disco 
consumida por los ficheros enviados al spooler de la impresora.
:p.
:hp2.Porcentaje de utilizacin de la CPU:ehp2. - El porcentaje 
aproximado de utilizacin de la CPU. El valor que se muestra es el 
porcentaje correspondiente al promedio de utilizacin del ltimo 
segundo.
:Note.Esta funcin y el PULSE que se incluye con el OS/2 2.0, no son muy
compatibles.
:p.
:hp2.Nmero de tareas activas:ehp2. -
El nmero de elementos en la lista de ventanas, que es la lista que se
visualiza cuando pulsamos CTRL-ESC.
:note.No todas las tareas del sistema se muestran en la Lista de
Ventanas, ya que algunas de estas tareas no son visibles.
:p.
:hp2.Espacio libre en la unidad X:ehp2. - La cantidad de espacio libre 
en el disco X.
:p.
Esta ayuda es sensible al contexto, como ya se habr dado cuenta. El 
acceso a las siguientes funciones se realiza a travs del men de 
sistema de la ventana:
:sl compact.
:li.:hpt.Grabar configuracin:ehpt.:hdref res=11.
:li.:hpt.Restaurar los valores por defecto:ehpt.:hdref res=12.
:li.:hpt.Esconder los controles:ehpt.:hdref res=13.
:li.:hpt.Intervalo de actualizacin...:ehpt.:hdref res=14.
:li.:hpt.Elementos a mostrar :ehpt.:hdref res=15.
:li.:hpt.Mostrar la Fecha/Hora:ehpt.:hdref res=150.
:li.:hpt.Mostrar la memoria libre:ehpt.:hdref res=151.
:li.:hpt.Mostrar el tamao del fichero de intercambio:ehpt.:hdref res=152.
:li.:hpt.Mostrar el espacio libre para el fichero de intercambio:ehpt.:hdref res=153.
:li.:hpt.Mostrar el tamao del spooler de la impresora:ehpt.:hdref res=154.
:li.:hpt.Mostrar el porcentaje de utilizacin de la CPU:ehpt.:hdref res=155.
:li.:hpt.Mostrar el nmero de tareas activas:ehpt.:hdref res=156.
:li.:hpt.Mostrar el espacio libre en la unidad C&colon.:ehpt.:hdref res=53.
:li.:hpt.Informacin del producto:ehpt.:hdref res=16.
:esl.:p.
Aparte de estas funciones, el programa accepta ordenes de los
controladores de fuentes y de la paleta de colores del OS/2 2.0

:h1 res=11.Grabar la configuracin (Opcin del men)
:i1.Grabar la configuracin (Opcin del men)
Cuando se selecciona esta opcin del men, el programa guarda la posicin
actual en la pantalla as como el estado de los controles. La prxima 
vez que se ejecute el programa, lo har en la misma posicin y con los 
controles ocultos (o visibles), de acuerdo con la informacin grabada.
:p.
La tecla aceleradora asignada a esta funcin es F2.

:h1 res=12.Restaurar los valores por defecto (Opcin del men)
:i1.Restaurar los valores por defecto (Opcin del men)
Seleccionado esta opcin del men, se restaura el tipo de letra y los 
atributos de color a sus valores por defecto.

:h1 res=13.Esconder los controles (Opcin del men)
:i1.Esconder los controles (Opcin del men)
Cuando esta opcin del men est seleccionada, obliga a los controles de 
la ventana del programa (el men de sistema, la barra con el ttulo y el 
botn de minimizacin) esten ocultos. Es posible variar el valor de esta 
funcin pulsando dos veces el botn del mouse dentro de la ventana.
.br
La tecla aceleradora asignada a esta funcin es ALT+H.

:h1 res=14.Intervalo de actualizacin (Opcin del men)
:i1.Intervalo de actualizacin (Opcin del men)
Seleccionando esta opcin, se abrir una caja de dilogo en la que se
podr seleccionar el intervalo de tiempo de actualizacin de los datos. 
Este intervalo se puede fijar entre un segundo y treinta segundos. El
valor se indica en dcimas de segundo.

:h1 res=140.Intervalo de actualitzacin (Caja de dilogo)
:i1.Intervalo de actualizacin (Caja de dilogo)
Utilizando los botones con las flechas, se puede cambiar el intervalo 
entre actualizacin y actualizacin, desde un segundo hasta treinta
segundos, en intervalos de una dcima de segundo. Una vez seleccionado 
el valor deseado, si pulsamos la tecla ENTER o hacemos un click con el 
mouse sobre el botn OK, se selecciona este valor. Si, por el contrario, 
pulsamos la tecla ESCAPE o hacemos un click con el mouse sobre el botn 
CANCELAR, se utiliza el valor existente antes del cambio. Existe ayuda 
sobre esta funcin, la cual puede acceder pulsando la tecla F1 o bien un 
click del mouse sobre el botn de AYUDA.

:h1 res=15.Elementos a mostrar  (Opcin del men)
:i1.Elementos a mostrar  (Opcin del men)
Este men muestra un sub-men en el que se pueden seleccionar los
diferentes elementos que deben mostrarse.

:h1 res=150.Mostrar la Fecha/Hora (Opcin del men)
:i1.Mostrar la Fecha/Hora (Opcin del men)
Seleccionando esta opcin se puede visualizar (o no) la fecha y hora
actual. Si la opcin est marcada, quiere decir que si s mostrar la 
fecha y la hora. Cada vez que se cambie esta opcin, la ventana del
programa actualiza su tamao dependiendo del nmero de opciones a 
mostrar.

:h1 res=151.Mostrar la memoria libre (Opcin del men)
:i1.Mostrar la memoria libre (Opcin del men)
Seleccionando esta opcin se puede visualizar (o no) la cantidad de
memoria libre. Si la opcin est marcada, quiere decir que si s 
mostrar la cantidad de memoria libre. Cada vez que se cambie esta 
opcin, la ventana del programa actualiza su tamao dependiendo del
nmero de opciones a mostrar.

:h1 res=152.Mostrar el tamao del fichero de intercambio (Opcin del Men)
:i1.Mostrar el tamao del fichero de intercambio (Opcin del Men)
Seleccionando esta opcin se puede visualizar (o no) el tamao del fichero
de intercambio (fichero de swap). Si la opcin est marcada, quiere 
decir que si s mostrar el tamao de dicho fichero. Cada vez que se 
cambie esta opcin, la ventana del programa actualiza su tamao
dependiendo del nmero de opciones a mostrar.

:h1 res=153.Mostrar el espacio libre para el fichero de intercambio (Opcin del men)
:i1.Mostrar el espacio libre para el fichero de intercambio (Opcin del men)
Seleccionando esta opcin se puede visualizar (o no) el espacio libre para
el fichero de intercambio. Si la opcin est marcada, quiere decir que 
si s mostrar el espacio libre. Cada vez que se cambie esta opcin, la
ventana del programa actualiza su tamao dependiendo del nmero de 
opciones a mostrar.

:h1 res=154.Mostrar el tamao del spooler de la impresora (Opcin del men)
:i1.Mostrar el tamao del spooler de la impresora (Opcin del men)
Seleccionando esta opcin se puede visualizar (o no) la cantidad de
espacio del disco consumida por el spooler de la impresora. Si la opcin 
est marcada, quiere decir que si s mostrar la fecha y la hora. Cada 
vez que se cambie esta opcin, la ventana del programa actualiza su
tamao dependiendo del nmero de opciones a mostrar.

:h1 res=155.Mostrar el porcentaje de utilizacin de la CPU (Opcin del men)
:i1.Mostrar el porcentaje de utilizacin de la CPU (Opcin del men)
Seleccionando esta opcin se puede visualizar (o no) el porcentaje de 
utilizacin del procesador. Si la opcin est marcada, quiere decir que 
si s mostrar este porcentaje. Cada vez que se cambie esta opcin, la
ventana del programa actualiza su tamao dependiendo del nmero de 
opciones a mostrar.

:h1 res=156.Mostrar el nmero de tareas activas (Opcin del men)
:i1.Mostrar el nmero de tareas activas (Opcin del men)
Seleccionando esta opcin se puede visualizar (o no) el nmero de
tareas activas.  Si la opcin est marcada, quiere decir que si se mostrar
el tamao de dicho fichero.  Cada vez que se cambie esta opcin, la
ventana del programa actualiza su tamao dependiendo del nmero de
opciones a mostrar.

:h1 res=16.Informacin del producto (Opcin del men)
:i1.Informacin del producto (Opcin del men)
Esta opcin muestra, cuando se selecciona, informacin sobre el 
programa.

:h1 res=160.Informacin del producto (Caja de dilogo)
:i1.Informacin del producto (Cajaa de dilogo)
Esta caja de dilogo muestra el nombre del programa, el icono y 
informacin sobre los derechos de copia y el autor.

Para salir de esta caja de dilogo, se puede pulsar cualquiera de estas 
teclas: ENTER, la barra de espacios o bien ESCAPE. Tambin se puede 
salir seleccionando el botn OK con el mouse.

:h1 res=53.Mostrar el espacio libre en la unidad C&colon. (Opcin del men)
:i1.Mostrar el espacio libre en la unidad C&colon. (Opcin del men)
Seleccionando esta opcin se puede visualizar (o no) el espacio libre en 
la unidad C&colon..  Si la opcin est marcada, quiere decir que si s 
mostrar la cantidad de espacio libre. Cada vez que se cambie esta 
opcin, la ventana del programa actualiza su tamao dependiendo del
nmero de opciones a mostrar.

:h1 res=99.Ayuda de las teclas
:i1.Ayuda de las teclas
Las siguientes teclas de funcin se han definido para el uso de este 
programa:
:sl compact.
:li.F1 - Ayuda
:li.F2 - Grabar la configuracin
:li.F3 - Salir
:li.Alt+H - Esconder los controles
:esl.:p.

:euserdoc.
